get battery estimated savings
curl --request POST \
--url https://api.example.com/v1/homes/{id}/battery/estimate_savings \
--header 'Content-Type: application/json' \
--header 'x-ws-api-key: <api-key>' \
--data '
{
"days": 1,
"solarCapacity": 5,
"maxCapacityKiloWattHours": 13.5,
"chargingPowerKiloWatts": 5,
"dischargingPowerKiloWatts": 5,
"chargingEfficiency": 0.95,
"dischargingEfficiency": 0.95,
"currentSOC": 0.5,
"minPreferredSOC": 0.2,
"maxPreferredSOC": 0.9,
"months": [
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12
]
}
'import requests
url = "https://api.example.com/v1/homes/{id}/battery/estimate_savings"
payload = {
"days": 1,
"solarCapacity": 5,
"maxCapacityKiloWattHours": 13.5,
"chargingPowerKiloWatts": 5,
"dischargingPowerKiloWatts": 5,
"chargingEfficiency": 0.95,
"dischargingEfficiency": 0.95,
"currentSOC": 0.5,
"minPreferredSOC": 0.2,
"maxPreferredSOC": 0.9,
"months": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
}
headers = {
"x-ws-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-ws-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
days: 1,
solarCapacity: 5,
maxCapacityKiloWattHours: 13.5,
chargingPowerKiloWatts: 5,
dischargingPowerKiloWatts: 5,
chargingEfficiency: 0.95,
dischargingEfficiency: 0.95,
currentSOC: 0.5,
minPreferredSOC: 0.2,
maxPreferredSOC: 0.9,
months: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]
})
};
fetch('https://api.example.com/v1/homes/{id}/battery/estimate_savings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "req_123",
"error_code": "VALIDATION_FAILED",
"message": "Request validation failed.",
"field_errors": [
{
"field": "zipcode",
"message": "zipcode is invalid"
}
]
}{
"request_id": "req_123",
"error_code": "AUTH_MISSING_API_KEY",
"message": "Missing x-ws-api-key header.",
"recovery_action": "Provide the x-ws-api-key header. If this contradicts the public docs or OpenAPI contract, submit structured feedback through /v1/feedback."
}homes
get battery estimated savings
Estimates annual solar+battery savings for a home. Month inputs use calendar month numbers 1-12.
POST
/
v1
/
homes
/
{id}
/
battery
/
estimate_savings
get battery estimated savings
Authorizations
x-ws-api-keyx-ws-api-key
WattShift API key
Headers
WattShift API Key
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Available options:
CAISO, NYISO Optional calendar months to include, using 1-12 month numbers. Omit or pass null for all months.
Calendar month number, 1-12 where 1 = January and 12 = December.
Required range:
1 < x < 12Response
Validation failure
Example:
"req_123"
Available options:
AUTH_MISSING_API_KEY, AUTH_INVALID_API_KEY, AUTH_EXPIRED_CREDENTIAL, AUTH_REVOKED_CREDENTIAL, AUTH_INSUFFICIENT_SCOPE, VALIDATION_FAILED, RATE_LIMITED, NOT_FOUND, FORBIDDEN, PRODUCTION_ACCESS_DENIED, INTERNAL_ERROR Example:
"VALIDATION_FAILED"
Example:
"Request validation failed."
Example:
"Provide the x-ws-api-key header. If this contradicts the public docs, submit feedback through /v1/feedback."
Show child attributes
Show child attributes
Example:
3600
⌘I
